---
layout: docs
page_title: host-sets read - Command
description: >-
  The "host-sets read" command retrieves the details of an existing host set resource.
---

# host-sets read

Command: `boundary host-sets read`

The `boundary host-sets read` command lets you read the details of a Boundary host set using its given ID.

## Example

This example reads host set details for a host set with the ID `_1234567890`:

```shell-session
$ boundary host-sets read -id _1234567890
```

## Usage

<CodeBlockConfig hideClipboard>

```shell-session
$ boundary host-sets read [options] [args]
```

</CodeBlockConfig>

### Command options

- `-id=<string>` - The ID of the host set whose information you want to read.

@include 'cmd-option-note.mdx'